## groovy.swing.factory
Class TabbedPaneFactory

Constructor Summary
`TabbedPaneFactory(Class beanClass)`

Method Summary
`static void` | `inspectChild(FactoryBuilderSupport builder, Object node, Map attributes)`
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
`void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)`
`void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)`

Constructor Detail

### TabbedPaneFactory

    public TabbedPaneFactory(Class beanClass)

Method Detail

### inspectChild

    public static void inspectChild(FactoryBuilderSupport builder, Object node, Map attributes)

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

### onNodeCompleted

    public void onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)

### setChild

    public void setChild(FactoryBuilderSupport builder, Object parent, Object child)